/etc/fonts/conf.d/29-language-selector-zh.conf", line 8: Having multiple values in <test> isn't supported and may not work as expected

Bug #1189152 reported by Daygan on 2013-06-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
language-selector (Ubuntu)
Low
Gunnar Hjalmarsson

Bug Description

This error message occurs every time I run firefox.

Daygan (sheerzeal) on 2013-06-09
affects: software-properties (Ubuntu) → language-selector (Ubuntu)
Daygan (sheerzeal) wrote :

I'd love to use apport-collect 1189152 to gather system information related to this bug, but when I run it, I'm told:

Package language-selector not installed and no hook available, ignoring
Fontconfig warning: "/etc/fonts/conf.d/29-language-selector-zh.conf", line 8: Having multiple values in <test> isn't supported and may not work as expected
Fontconfig warning: "/etc/fonts/conf.d/99-language-selector-zh.conf", line 11: Having multiple values in <test> isn't supported and may not work as expected

In fact, I do not have language-selector installed, because it is not available in synaptic, but I do have language-selector-common and language-selector-gnome, each of which default to being reported under "language-selector" when reporting the bug.

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for your help to improve Ubuntu by reporting this issue!

I don't think we need automatically collected system info in this case. But which Ubuntu version are you running? I ask because 29-language-selector-zh.conf was dropped before the release of the latest LTS Ubuntu 12.04, so I'm a little confused.

Changed in language-selector (Ubuntu):
status: New → Incomplete
Daygan (sheerzeal) wrote :

Thanks for your information. I just upgraded the system that gets this error to 13.04. It had previously been 11.04. Last week I upgraded from 11.04 to 12.04 and then 12.10, and finally 13.04.

Gunnar Hjalmarsson (gunnarhj) wrote :

Can you please open a terminal window and let us know the output of:

  dpkg -S /etc/fonts/conf.avail/29-language-selector-zh.conf

Daygan (sheerzeal) wrote :

sure. The output was:

language-selector-common: /etc/fonts/conf.avail/29-language-selector-zh.conf

Gunnar Hjalmarsson (gunnarhj) wrote :

Then it looks like you - for some reason - have an old version of language-selector-common and language-selector-gnome. Try to simply run

  sudo apt-get update
  sudo apt-get upgrade

After that, please check that you have the latest version (0.110) by running

  dpkg -l language-selector-*

Finally, please let us know if the warning messages you mention in this bug report are still there.

Daygan (sheerzeal) wrote :

The output for "dpkg -l language-selector-*" was:

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii language-selec 0.110 all Language selector for Ubuntu
ii language-selec 0.110 all Language selector for Ubuntu

but the output for "dpkg -S /etc/fonts/conf.avail/29-language-selector-zh.conf" is still:

language-selector-common: /etc/fonts/conf.avail/29-language-selector-zh.conf

Daygan (sheerzeal) wrote :

I‘m using a 64-bit system, if that's of any relevance.

Gunnar Hjalmarsson (gunnarhj) wrote :

No, 32 or 64 bit is not relevant.

Hmm... Weird. Btw, did you reboot? In any case you can safely just do:

  sudo rm /etc/fonts/conf.avail/29-language-selector-zh.conf
  sudo rm /etc/fonts/conf.d/29-language-selector-zh.conf

The file and related symlink should simply not be there.

After that, does fontconfig produce any undesired warning messages, e.g. for 99-language-selector-zh.conf?

Daygan (sheerzeal) wrote :

I had not rebooted, but I did after seeing your most recent question, and the problem still existed. After removing 29-language-selector-zh.conf under both conf.d and conf.avail directories, the problem also still existed. After also removing 99-language-selector-zh.conf in both directories, the warning message does not occur.

Daygan (sheerzeal) wrote :

I should clarify - after removing the 29-language-selector files, the warning regarding the 29-language-selector was gone, but the warning regarding the 99-language-selector files still existed. Removing 99-language-selector-zh.conf files did away with the related warning.

Gunnar Hjalmarsson (gunnarhj) wrote :

Ok, Daygan, so you got rid of the fontconfig warning messages. I was about to say that 99-language-selector-zh.conf is still included in the language-selector package, and that it's usually not a good idea to just remove package files. However, that file seems to be in effect disabled nowadays, since installing language-selector-common does not generate the corresponding symlink.

@Laney: I'm thinking of simply dropping 30-cjk-aliases.conf and 99-language-selector-zh.conf, since no symlinks to those files are generated anyway. Am I missing something? Is there a reason why you left them there when removing the fontconfig-voodoo thing?

Changed in language-selector (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Low
status: Incomplete → In Progress

On Fri, Jun 14, 2013 at 02:46:39PM -0000, Gunnar Hjalmarsson wrote:
> […]
> @Laney: I'm thinking of simply dropping 30-cjk-aliases.conf and 99
> -language-selector-zh.conf, since no symlinks to those files are
> generated anyway. Am I missing something? Is there a reason why you left
> them there when removing the fontconfig-voodoo thing?

It's probable they were simply missed by me back then. 30-cjk-aliases
looks like it's still useful, althoug /maybe/ something which can live
in fontconfig itself upstream?

I'm not sure about 99-... — if nobody misses it then maybe it is time
for it to go away. If kept then it needs to be fixed like all of the
others (that's this bug).

Cheers,

--
Iain Lane [ <email address hidden> ]
Debian Developer [ <email address hidden> ]
Ubuntu Developer [ <email address hidden> ]

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for your comments, Laney!

On 2013-06-14 17:37, Iain Lane wrote:
> 30-cjk-aliases looks like it's still useful, althoug /maybe/
> something which can live in fontconfig itself upstream?

Well, I for one am not able to argue for its inclusion in fontconfig. One possibility is to enable it for now by simply adding a related symlink to debian/language-selector-common.links. Then we have some time to get feedback from cjk users before the release of next LTS 14.04.

> I'm not sure about 99-... — if nobody misses it then maybe it is
> time for it to go away. If kept then it needs to be fixed like all of
> the others (that's this bug).

Yeah, I started to fix it as a preparation for fixing this bug.

https://launchpad.net/~gunnarhj/+archive/misc/+sourcepub/3261343/+listing-archive-extra

Then I noticed that there is no symlink. :( We could of course add a symlink also for this file (for all users), and see what feedback the cjk users provide.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.112

---------------
language-selector (0.112) saucy; urgency=low

  * debian/language-selector-common.links:
    Missing symlinks added.
  * fontconfig/99-language-selector-zh.conf:
    Get rid of fontconfig warnings (LP: #1189152).
  * fontconfig/none:
    Removed.
  * fontconfig/README:
    Cleanup.
 -- Gunnar Hjalmarsson <email address hidden> Sat, 15 Jun 2013 00:20:00 +0200

Changed in language-selector (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers